package com.ruoyi.branch.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 支部园地风采对象 t_branch_demeanor
 * 
 * @author ruoyi
 * @date 2023-07-27
 */
public class TBranchDemeanor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id")
    private Long demeanorId;

    /** 标题 */
    @Excel(name = "标题")
    private String demeanorTitle;

    /** 内容 */
    @Excel(name = "内容")
    private String demeanorContent;

    /** 是否置顶（1是 0否） */
    @Excel(name = "是否置顶", readConverterExp = "1=是,0=否")
    private String isPinned;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setDemeanorId(Long demeanorId) 
    {
        this.demeanorId = demeanorId;
    }

    public Long getDemeanorId() 
    {
        return demeanorId;
    }

    public void setDemeanorTitle(String demeanorTitle) 
    {
        this.demeanorTitle = demeanorTitle;
    }

    public String getDemeanorTitle() 
    {
        return demeanorTitle;
    }

    public void setDemeanorContent(String demeanorContent) 
    {
        this.demeanorContent = demeanorContent;
    }

    public String getDemeanorContent() 
    {
        return demeanorContent;
    }

    public void setIsPinned(String isPinned) 
    {
        this.isPinned = isPinned;
    }

    public String getIsPinned() 
    {
        return isPinned;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("demeanorId", getDemeanorId())
            .append("demeanorTitle", getDemeanorTitle())
            .append("demeanorContent", getDemeanorContent())
            .append("isPinned", getIsPinned())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
